<?php
namespace Incoviba\nuevo\Proyecto;

use Incoviba\Common\Definition\hasRUT;
use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property string nombre
 *
 */
class Participe extends NewModel
{
	use hasRUT;
	
	protected static $_table = 'participes';
	
    public function proyectos()
    {
    	return $this->hasManyThrough(Proyecto::class, ProyectoParticipe::class, 'proyecto_id', 'participe_rut', 'rut')->findMany();
    }
	public function participaciones()
	{
		return $this->hasMany(ProyectoParticipe::class, 'participe_rut', 'rut')->findMany();
	}
}
